### Method

# GIRepository RegisteredTypeInfo is_boxed

since: 2.80

#### Declaration

    gboolean
    gi_registered_type_info_is_boxed (
      GIRegisteredTypeInfo* info
    )

#### Description

Get whether the registered type is a boxed type.

A boxed type is a subtype of the fundamental `G_TYPE_BOXED` type. It’s a type which has registered a `GType`, and which has associated copy and free functions.

Most boxed types are `struct`s; some are `union`s; and it’s possible for a boxed type to be neither, but that is currently unsupported by libgirepository. It’s also possible for a `struct` or `union` to have associated copy and/or free functions without being a boxed type, by virtue of not having registered a `GType`.

This function will return false for `GType`s which are not boxed, such as classes or interfaces. It will also return false for the `struct`s associated with a class or interface, which return true from `gi_struct_info_is_gtype_struct()`.

Available since: 2.80

#### Return value

Type: `gboolean`

True if `info` is a boxed type.